#pragma once

#include "Component.h"
#include <string>
#include <yaml-cpp/yaml.h>

class ScriptComponent : public Component {
public:
    ScriptComponent(Object* owner);

    void SetScriptPath(const std::string& path);
    const std::string& GetScriptPath() const;

    virtual std::string GetName() const override { return "ScriptComponent"; }

    virtual void Save(YAML::Emitter& out) const override;
    virtual void Load(const YAML::Node& node) override;

private:
    std::string scriptPath;
};
